Subject: Re: Super Extended Basic (Triton)

From: "Stuart" <[email-masked]>
Date: Mon, 04 Feb 2013 00:04:56 -0000

Could it be loading (initialising) the four 74LS161 counters on the board that (presumably) provide the GROM emulation addressing?

Stuart.

--- In [email-masked], "Michael Zapf"  wrote:
>
> I discovered some problems with running Super Extended Basic in MESS. 
> 
> 1. The cartridge does not have real GROMs - this is fixed now. I defined a new cartridge type for GROM emulations. This made it start again, but it crashes when I hit a key.
> 
> 2. I noticed that SXB does some writing to the cartridge area. The usual Extended Basic behavior is to write a value to that area (6000-7fff) to switch between two ROM banks. However, there seem to be more activities with SXB.
> 
> The area at 7c10-7c17 seems to be writable; the following values are written (but never read):
> 
> 7c10: 41 01 14 00 00 00 00 00
> 
> Could it be that SXB has some internal RAM? Or could it be an EEPROM? Or is that another device (like a mapper) with 8 ports? 
> 
> The effect was that by writing to this area, and assuming the standard Extended Basic mapping, the banks were switched multiple times, and then caused the lockup. So this indicates that SXB behaves differently.
> 
> Michael
>